注释
GET https://analyticse.com/api/annotations/
curl --request GET \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | |
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime, chart_datetime |
| datetime_start | 可选的 字符串 | 开始日期 |
| datetime_end | 可选的 字符串 | 结束日期 |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:annotation_id, website_id, datetime, last_datetime, name, chart_datetime。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:20",
"last_datetime": null,
"datetime": "2026-09-12 00:42:20"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://analyticse.com/api/annotations?page=1",
"last": "https://analyticse.com/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/annotations?page=1"
}
}
GET https://analyticse.com/api/annotations/{annotation_id}
curl --request GET \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:20",
"last_datetime": null,
"datetime": "2026-09-12 00:42:20"
}
}
POST https://analyticse.com/api/annotations
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | - |
| name | 必需 字符串 | - |
| chart_datetime | 必需 字符串 | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:20' \
--url 'https://analyticse.com/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'chart_datetime=2026-09-12 00:42:20' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:20",
"last_datetime": null,
"datetime": "2026-09-12 00:42:20"
}
}
POST https://analyticse.com/api/annotations/{annotation_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | - |
| name | 可选的 字符串 | - |
| chart_datetime | 可选的 字符串 | Y-m-d H:i:s |
curl --request POST \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"name": "Example",
"chart_datetime": "2026-09-12 00:42:20",
"last_datetime": "2026-09-12 00:42:20",
"datetime": "2026-09-12 00:42:20"
}
}
DELETE https://analyticse.com/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \